# Interface ClassObjectReference

All Superinterfaces:
  `Mirror, ObjectReference, Value`

public interface ClassObjectReference extends ObjectReference
An instance of java.lang.Class from the target VM. Use this interface to access type information for the class, array, or interface that this object reflects.

Since:
  1.3
See Also:
  - `ReferenceType`

## Field Summary

### Fields declared in interface ObjectReference

`INVOKE_NONVIRTUAL, INVOKE_SINGLE_THREADED`

## Method Summary

Modifier and Type
Method
Description
`ReferenceType`
`reflectedType()`
Returns the `ReferenceType` corresponding to this class object.

### Methods declared in interface Mirror

`toString, virtualMachine`

### Methods declared in interface ObjectReference

`disableCollection, enableCollection, entryCount, equals, getValue, getValues, hashCode, invokeMethod, isCollected, owningThread, referenceType, referringObjects, setValue, uniqueID, waitingThreads`

### Methods declared in interface Value

`type`

## Method Details

### reflectedType

ReferenceType reflectedType()
Returns the `ReferenceType` corresponding to this class object. The returned type can be used to obtain detailed information about the class.

Returns:
  the `ReferenceType` reflected by this class object.